Product-filter-values list
curl --request POST \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaign_id": "<string>",
"customer_id": "<string>",
"statuses": [
"ELIGIBLE",
"ELIGIBLE_LIMITED"
],
"search": "<string>",
"limit": 100
}
'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list"
payload = {
"campaign_id": "<string>",
"customer_id": "<string>",
"statuses": ["ELIGIBLE", "ELIGIBLE_LIMITED"],
"search": "<string>",
"limit": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
campaign_id: '<string>',
customer_id: '<string>',
statuses: ['ELIGIBLE', 'ELIGIBLE_LIMITED'],
search: '<string>',
limit: 100
})
};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'campaign_id' => '<string>',
'customer_id' => '<string>',
'statuses' => [
'ELIGIBLE',
'ELIGIBLE_LIMITED'
],
'search' => '<string>',
'limit' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list"
payload := strings.NewReader("{\n \"campaign_id\": \"<string>\",\n \"customer_id\": \"<string>\",\n \"statuses\": [\n \"ELIGIBLE\",\n \"ELIGIBLE_LIMITED\"\n ],\n \"search\": \"<string>\",\n \"limit\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"campaign_id\": \"<string>\",\n \"customer_id\": \"<string>\",\n \"statuses\": [\n \"ELIGIBLE\",\n \"ELIGIBLE_LIMITED\"\n ],\n \"search\": \"<string>\",\n \"limit\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"campaign_id\": \"<string>\",\n \"customer_id\": \"<string>\",\n \"statuses\": [\n \"ELIGIBLE\",\n \"ELIGIBLE_LIMITED\"\n ],\n \"search\": \"<string>\",\n \"limit\": 100\n}"
response = http.request(request)
puts response.read_bodyGoogle Ads
Product-filter-values list
List values currently present in a Performance Max campaign’s Merchant Center inventory for a supported product filter attribute. Use this before setting filters.
CLI: adside google-ads product-filter-values list
POST
/
v1
/
workspaces
/
{workspaceId}
/
google-ads
/
product-filter-values
/
list
Product-filter-values list
curl --request POST \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaign_id": "<string>",
"customer_id": "<string>",
"statuses": [
"ELIGIBLE",
"ELIGIBLE_LIMITED"
],
"search": "<string>",
"limit": 100
}
'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list"
payload = {
"campaign_id": "<string>",
"customer_id": "<string>",
"statuses": ["ELIGIBLE", "ELIGIBLE_LIMITED"],
"search": "<string>",
"limit": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
campaign_id: '<string>',
customer_id: '<string>',
statuses: ['ELIGIBLE', 'ELIGIBLE_LIMITED'],
search: '<string>',
limit: 100
})
};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'campaign_id' => '<string>',
'customer_id' => '<string>',
'statuses' => [
'ELIGIBLE',
'ELIGIBLE_LIMITED'
],
'search' => '<string>',
'limit' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list"
payload := strings.NewReader("{\n \"campaign_id\": \"<string>\",\n \"customer_id\": \"<string>\",\n \"statuses\": [\n \"ELIGIBLE\",\n \"ELIGIBLE_LIMITED\"\n ],\n \"search\": \"<string>\",\n \"limit\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"campaign_id\": \"<string>\",\n \"customer_id\": \"<string>\",\n \"statuses\": [\n \"ELIGIBLE\",\n \"ELIGIBLE_LIMITED\"\n ],\n \"search\": \"<string>\",\n \"limit\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/google-ads/product-filter-values/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"campaign_id\": \"<string>\",\n \"customer_id\": \"<string>\",\n \"statuses\": [\n \"ELIGIBLE\",\n \"ELIGIBLE_LIMITED\"\n ],\n \"search\": \"<string>\",\n \"limit\": 100\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.
Path Parameters
Minimum string length:
1Body
application/json
Pattern:
^\d+$Available options:
product_type_l1, product_type_l2, product_type_l3, product_type_l4, product_type_l5, brand, custom_label_0, custom_label_1, custom_label_2, custom_label_3, custom_label_4 Omit it: it defaults to the account this workspace is connected to, and any other account is refused.
Minimum array length:
1Available options:
ELIGIBLE, ELIGIBLE_LIMITED, NOT_ELIGIBLE Minimum string length:
1Required range:
1 <= x <= 500Response
200 - application/json
Success